Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/mrb_ecnl.c
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/mrb_ecnl.c	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/mrb_ecnl.c	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
@@ -136,5 +121,5 @@
 	rprop = RARRAY_PTR(props);
 	icnt = RARRAY_LEN(props);
-	count = icnt + 3; /* ãã­ããã£ãããå */
+	count = icnt + 3; /* プロパティマップ分 */
 
 	for (i = 0; i < icnt; i++) {
@@ -148,5 +133,5 @@
 		prop = (T_MRB_ECNL_EPROPERTY *)DATA_PTR(rprop[i]);
 
-		/* ãã­ããã£ãããã®å ´åã¯æ¸ç® */
+		/* プロパティマップの場合は減算 */
 		switch (prop->inib.eprpcd) {
 		case 0x9D: case 0x9E: case 0x9F:
@@ -181,5 +166,5 @@
 		prop = (T_MRB_ECNL_EPROPERTY *)DATA_PTR(rprop[i]);
 
-		/* ãã­ããã£ãããã®å ´åã¯ç¡è¦ */
+		/* プロパティマップの場合は無視 */
 		switch (prop->inib.eprpcd) {
 		case 0x9D: case 0x9E: case 0x9F:
@@ -208,5 +193,5 @@
 	T_MRB_ECNL_EPROPERTY *prop;
 
-	/* æ©å¨ãªãã¸ã§ã¯ãã®è¨­å®ã¨ãã¦åãè¾¼ã¾ããå ´åã¯ç ´æ£ããªã */
+	/* 機器オブジェクトの設定として取り込まれた場合は破棄しない */
 	if (obj->base.svc != NULL)
 		return;
@@ -293,5 +278,5 @@
 	rprop = RARRAY_PTR(props);
 	icnt = RARRAY_LEN(props);
-	count = icnt + 8; /* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ããªã©ã®å */
+	count = icnt + 8; /* インスタンスリストなどの分 */
 
 	for (i = 0; i < icnt; i++) {
@@ -305,5 +290,5 @@
 		prop = (T_MRB_ECNL_EPROPERTY *)DATA_PTR(rprop[i]);
 
-		/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ããªã©ã®å ´åã¯æ¸ç® */
+		/* インスタンスリストなどの場合は減算 */
 		switch (prop->inib.eprpcd) {
 		case 0xD3: case 0xD4: case 0xD5: case 0xD6: case 0xD7:
@@ -315,5 +300,5 @@
 
 	nod = (ecn_node_t *)mrb_calloc(mrb, 1, sizeof(ecn_node_t) + count * sizeof(EPRPINIB *)
-		+ (sizeof(EPRPINIB) * 8)/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ããªã©ã®å */);
+		+ (sizeof(EPRPINIB) * 8)/* インスタンスリストなどの分 */);
 	DATA_TYPE(self) = &mrb_ecnl_enode_type;
 	DATA_PTR(self) = nod;
@@ -337,5 +322,5 @@
 		prop = (T_MRB_ECNL_EPROPERTY *)DATA_PTR(rprop[i]);
 
-		/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ããªã©ã®å ´åã¯ç¡è¦ */
+		/* インスタンスリストなどの場合は無視 */
 		switch (prop->inib.eprpcd) {
 		case 0xD3: case 0xD4: case 0xD5: case 0xD6: case 0xD7:
@@ -365,5 +350,5 @@
 	T_MRB_ECNL_EPROPERTY *prop;
 
-	/* ãã¼ãã®è¨­å®ã¨ãã¦åãè¾¼ã¾ããå ´åã¯ç ´æ£ããªã */
+	/* ノードの設定として取り込まれた場合は破棄しない */
 	if (nod->base.svc != NULL)
 		return;
@@ -476,5 +461,5 @@
 	int count = 0;
 
-	/* éç¥æ°ã®ä½ç½®ãç©ºãã¦ãã */
+	/* 通知数の位置を空けておく */
 	pos++;
 	for (int i = inst_list_pos; (i < eobjcnt) && (count < 84); i++) {
@@ -489,5 +474,5 @@
 
 	inst_list_pos += count;
-	/* æå¾ã¾ã§éä¿¡ãçµãã£ã¦ãããåããã */
+	/* 最後まで送信し終わっていたら初めから */
 	if (inst_list_pos >= eobjcnt)
 		inst_list_pos = 0;
@@ -509,5 +494,5 @@
 		*pos++ = eobjcnt;
 	else
-		*pos++ = 255; /*ãªã¼ãã¼ãã­ã¼*/
+		*pos++ = 255; /*オーバーフロー*/
 
 	for (int i = 0; (i < eobjcnt) && (i < 84); i++) {
@@ -530,5 +515,5 @@
 		*pos++ = eclscnt;
 	else
-		*pos++ = 255; /*ãªã¼ãã¼ãã­ã¼*/
+		*pos++ = 255; /*オーバーフロー*/
 
 	len = 2 * eclscnt;
@@ -617,5 +602,5 @@
 		eobj = (ecn_obj_t *)DATA_PTR(prop->eobj);
 
-		/* ãã­ããã£ã®è¨­å®ã¨ãã¦åãè¾¼ã¾ããå ´åã¯ç ´æ£ããªã */
+		/* プロパティの設定として取り込まれた場合は破棄しない */
 		if (eobj != NULL)
 			return;
@@ -625,5 +610,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã³ã¼ã */
+/* ECHONET Lite プロパティコード */
 static mrb_value mrb_ecnl_eproperty_get_pcd(mrb_state *mrb, mrb_value self)
 {
@@ -635,5 +620,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£å±æ§ */
+/* ECHONET Lite プロパティ属性 */
 static mrb_value mrb_ecnl_eproperty_get_atr(mrb_state *mrb, mrb_value self)
 {
@@ -645,5 +630,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®ãµã¤ãº */
+/* ECHONET Lite プロパティのサイズ */
 static mrb_value mrb_ecnl_eproperty_get_sz(mrb_state *mrb, mrb_value self)
 {
@@ -655,6 +640,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®æ¡å¼µæ
-å ± */
+/* ECHONET Lite プロパティの拡張情報 */
 static mrb_value mrb_ecnl_eproperty_get_exinf(mrb_state *mrb, mrb_value self)
 {
@@ -666,6 +650,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®æ¡å¼µæ
-å ±è¨­å® */
+/* ECHONET Lite プロパティの拡張情報設定 */
 static mrb_value mrb_ecnl_eproperty_set_exinf(mrb_state *mrb, mrb_value self)
 {
@@ -682,5 +665,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®è¨­å®é¢æ° */
+/* ECHONET Lite プロパティの設定関数 */
 static mrb_value mrb_ecnl_eproperty_get_setcb(mrb_state *mrb, mrb_value self)
 {
@@ -695,5 +678,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®åå¾é¢æ° */
+/* ECHONET Lite プロパティの取得関数 */
 static mrb_value mrb_ecnl_eproperty_get_getcb(mrb_state *mrb, mrb_value self)
 {
@@ -708,5 +691,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®éç¥æç¡ */
+/* ECHONET Lite プロパティの通知有無 */
 static mrb_value mrb_ecnl_eproperty_get_anno(mrb_state *mrb, mrb_value self)
 {
@@ -721,5 +704,5 @@
 }
 
-/* ECHONET Lite ãã­ããã£ã®éç¥æç¡è¨­å® */
+/* ECHONET Lite プロパティの通知有無設定 */
 static mrb_value mrb_ecnl_eproperty_set_anno(mrb_state *mrb, mrb_value self)
 {
@@ -737,5 +720,5 @@
 
 /*
- * ãã¼ã¿è¨­å®é¢æ°
+ * データ設定関数
  */
 static int mrb_ecnl_prop_set(ecnl_svc_task_t *svc, const EPRPINIB *item, const void *src, int size, bool_t *anno)
@@ -771,5 +754,5 @@
 
 /*
- * ãã¼ã¿åå¾é¢æ°
+ * データ取得関数
  */
 static int mrb_ecnl_prop_get(ecnl_svc_task_t *svc, const EPRPINIB *item, void *dst, int size)
@@ -835,5 +818,5 @@
 }
 
-/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»ææãè¿ãæå® */
+/* プロパティ値書き込み・読み出し要求電文折り返し指定 */
 static mrb_value mrb_ecnl_trn_set_get(mrb_state *mrb, mrb_value self)
 {
@@ -851,5 +834,5 @@
 }
 
-/* è¦æ±é»æã¸ã®ãã­ããã£æå®è¿½å  */
+/* 要求電文へのプロパティ指定追加 */
 static mrb_value mrb_ecnl_add_epc(mrb_state *mrb, mrb_value self)
 {
@@ -870,5 +853,5 @@
 }
 
-/* è¦æ±é»æã¸ã®ãã­ããã£ãã¼ã¿è¿½å  */
+/* 要求電文へのプロパティデータ追加 */
 static mrb_value mrb_ecnl_add_edt(mrb_state *mrb, mrb_value self)
 {
@@ -919,5 +902,5 @@
 
 
-/* å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼åæå */
+/* 応答電文解析イテレーター初期化 */
 static mrb_value mrb_ecnl_itr_ini(mrb_state *mrb, mrb_value self)
 {
@@ -942,5 +925,5 @@
 }
 
-/* å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼ã¤ã³ã¯ãªã¡ã³ã */
+/* 応答電文解析イテレーターインクリメント */
 static mrb_value mrb_ecnl_itr_nxt(mrb_state *mrb, mrb_value self)
 {
@@ -1092,5 +1075,5 @@
 	svc = (ecnl_svc_task_t *)mrb_calloc(mrb, 1, sizeof(ecnl_svc_task_t)
 		+ (1 + eobjcnt) * sizeof(EOBJINIB *)
-		+ (2 * eobjcnt)/*ã¯ã©ã¹ãªã¹ãç¨*/);
+		+ (2 * eobjcnt)/*クラスリスト用*/);
 	DATA_TYPE(self) = &mrb_ecnl_svctask_type;
 	DATA_PTR(self) = svc;
@@ -1101,5 +1084,5 @@
 	svc->mrb = mrb;
 	svc->self = self;
-	svc->tnum_enodid = 1; /* ãã®çã§ã¯ã­ã¼ã«ã«ãã¼ãï¼ã¤ */
+	svc->tnum_enodid = 1; /* この版ではローカルノード１つ */
 	svc->tmax_eobjid = 1 + 1 + eobjcnt;
 	svc->eobjinib_table = (const EOBJINIB **)&svc[1];
@@ -1129,5 +1112,5 @@
 	}
 
-	/* ã¯ã©ã¹ãªã¹ãã®ä½æ */
+	/* クラスリストの作成 */
 	svc->eclslst = (uint8_t *)&svc->eobjinib_table[1 + eobjcnt];
 	uint8_t *pos = svc->eclslst;
@@ -1154,5 +1137,5 @@
 	svc->eclscnt = eclscnt;
 
-	/* ECHONETããã«ã¦ã§ã¢ãèµ·å */
+	/* ECHONETミドルウェアを起動 */
 	ret = ecn_sta_svc(svc);
 	if (ret != E_OK) {
@@ -1177,5 +1160,5 @@
 {
 	ecnl_svc_task_t *svc = (ecnl_svc_task_t *)ptr;
-#if 0 /* ã©ããã§è§£æ¾ãã¦ãããããï½¥ï½¥ï½¥ */
+#if 0 /* どこかで解放しているらしい･･･ */
 	const EOBJINIB **table = svc->eobjinib_table;
 	const EOBJINIB **end = &table[svc->tmax_eobjid];
@@ -1206,5 +1189,5 @@
 }
 
-/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼é»æä½æ */
+/* プロパティ値書き込み要求（応答不要）電文作成 */
 static mrb_value mrb_ecnl_esv_set_i(mrb_state *mrb, mrb_value self)
 {
@@ -1245,5 +1228,5 @@
 }
 
-/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼é»æä½æ */
+/* プロパティ値書き込み要求（応答要）電文作成 */
 static mrb_value mrb_ecnl_esv_set_c(mrb_state *mrb, mrb_value self)
 {
@@ -1285,5 +1268,5 @@
 }
 
-/* ãã­ããã£å¤èª­ã¿åºãè¦æ±é»æä½æ */
+/* プロパティ値読み出し要求電文作成 */
 static mrb_value mrb_ecnl_esv_get(mrb_state *mrb, mrb_value self)
 {
@@ -1323,5 +1306,5 @@
 }
 
-/* ãã­ããã£å¤éç¥è¦æ±é»æä½æ */
+/* プロパティ値通知要求電文作成 */
 static mrb_value mrb_ecnl_esv_inf_req(mrb_state *mrb, mrb_value self)
 {
@@ -1361,5 +1344,5 @@
 }
 
-/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æ */
+/* プロパティ値書き込み・読み出し要求電文作成 */
 static mrb_value mrb_ecnl_esv_set_get(mrb_state *mrb, mrb_value self)
 {
@@ -1400,5 +1383,5 @@
 }
 
-/* ãã­ããã£å¤éç¥ï¼å¿ç­è¦ï¼é»æä½æ */
+/* プロパティ値通知（応答要）電文作成 */
 static mrb_value mrb_ecnl_esv_infc(mrb_state *mrb, mrb_value self)
 {
@@ -1448,5 +1431,5 @@
 }
 
-/* è¦æ±é»æã®éä¿¡ */
+/* 要求電文の送信 */
 static mrb_value mrb_ecnl_snd_esv(mrb_state *mrb, mrb_value self)
 {
@@ -1486,5 +1469,5 @@
 }
 
-/* é»æã®ç ´æ£ */
+/* 電文の破棄 */
 static mrb_value mrb_ecnl_rel_esv(mrb_state *mrb, mrb_value self)
 {
@@ -1524,5 +1507,5 @@
 	svc->mrb = mrb;
 
-	/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã®éä¿¡ */
+	/* インスタンスリスト通知の送信 */
 	ret = _ecn_tsk_ntf_inl(svc);
 	if (ret != E_OK) {
@@ -1590,5 +1573,5 @@
 
 /*
- * Echoneté»æåä¿¡å¦ç
+ * Echonet電文受信処理
  */
 static void main_recv_esv(ecnl_svc_task_t *svc, T_EDATA *esv)
@@ -1603,6 +1586,5 @@
 
 /*
- * å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿å¦ç
+ * 応答電文待ちの割り込み処理
  */
 static void main_break_wait(ecnl_svc_task_t *svc, uint8_t *brkdat, int32_t len)
@@ -1623,10 +1605,10 @@
 	ER ret;
 
-	/* Echoneté»æåä¿¡ã®å ´å */
+	/* Echonet電文受信の場合 */
 	if ((p_msg)->hdr.type == ECN_MSG_ECHONET) {
-		/* Echoneté»æåä¿¡å¦ç */
+		/* Echonet電文受信処理 */
 		main_recv_esv(svc, (T_EDATA *)p_msg);
 
-		/* é åè§£æ¾ã¯GCã«ä»»ãã
+		/* 領域解放はGCに任せる
 		ret = ecn_rel_esv(mrb, (T_EDATA *)p_msg);
 		if (ret != E_OK) {
@@ -1635,9 +1617,7 @@
 		} */
 	}
-	/* å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿ã®å ´å */
+	/* 応答電文待ちの割り込みの場合 */
 	else if ((p_msg)->hdr.type == ECN_MSG_INTERNAL) {
-		/* å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿ãã¼ã¿åå¾ */
+		/* 応答電文待ちの割り込みデータ取得 */
 		ret = ecn_get_brk_dat(mrb, (T_EDATA *)p_msg, brkdat, sizeof(brkdat), &len);
 		if (ret != E_OK) {
@@ -1646,9 +1626,8 @@
 		}
 
-		/* å¿ç­é»æå¾
-ã¡ã®å²ãè¾¼ã¿å¦ç */
+		/* 応答電文待ちの割り込み処理 */
 		main_break_wait(svc, brkdat, len);
 
-		/* é åè§£æ¾ */
+		/* 領域解放 */
 		ret = ecn_rel_esv(mrb, (T_EDATA *)p_msg);
 		if (ret != E_OK) {
@@ -1688,6 +1667,5 @@
 }
 
-/* éä¿¡ã¬ã¤ã¤ã¼ããã®å
-¥å */
+/* 通信レイヤーからの入力 */
 static mrb_value mrb_ecnl_svctask_recv_msg(mrb_state *mrb, mrb_value self)
 {
@@ -1879,60 +1857,59 @@
 	_module_ecnl = mrb_define_module(mrb, "ECNL");
 
-	/* æªè¨­å® */
+	/* 未設定 */
 	mrb_define_const(mrb, _module_ecnl, "EPC_NONE", mrb_fixnum_value(EPC_NONE));
-	/* ã¢ã¯ã»ã¹ã«ã¼ã« Set */
+	/* アクセスルール Set */
 	mrb_define_const(mrb, _module_ecnl, "EPC_RULE_SET", mrb_fixnum_value(EPC_RULE_SET));
-	/* ã¢ã¯ã»ã¹ã«ã¼ã« Get */
+	/* アクセスルール Get */
 	mrb_define_const(mrb, _module_ecnl, "EPC_RULE_GET", mrb_fixnum_value(EPC_RULE_GET));
-	/* ã¢ã¯ã»ã¹ã«ã¼ã« Anno */
+	/* アクセスルール Anno */
 	mrb_define_const(mrb, _module_ecnl, "EPC_RULE_ANNO", mrb_fixnum_value(EPC_RULE_ANNO));
-	/* ç¶æ
-å¤åæéç¥ */
+	/* 状態変化時通知 */
 	mrb_define_const(mrb, _module_ecnl, "EPC_ANNOUNCE", mrb_fixnum_value(EPC_ANNOUNCE));
-	/* å¯å¤é·ãã¼ã¿ */
+	/* 可変長データ */
 	mrb_define_const(mrb, _module_ecnl, "EPC_VARIABLE", mrb_fixnum_value(EPC_VARIABLE));
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼		*/
+	/* プロパティ値書き込み要求（応答不要）		*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_I", mrb_fixnum_value(ESV_SET_I));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼		*/
+	/* プロパティ値書き込み要求（応答要）		*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_C", mrb_fixnum_value(ESV_SET_C));
-	/* ãã­ããã£å¤èª­ã¿åºãè¦æ±					*/
+	/* プロパティ値読み出し要求					*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_GET", mrb_fixnum_value(ESV_GET));
-	/* ãã­ããã£å¤éç¥è¦æ±						*/
+	/* プロパティ値通知要求						*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_INF_REQ", mrb_fixnum_value(ESV_INF_REQ));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±		*/
+	/* プロパティ値書き込み・読み出し要求		*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_GET", mrb_fixnum_value(ESV_SET_GET));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿å¿ç­					*/
+	/* プロパティ値書き込み応答					*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_RES", mrb_fixnum_value(ESV_SET_RES));
-	/* ãã­ããã£å¤èª­ã¿åºãå¿ç­					*/
+	/* プロパティ値読み出し応答					*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_GET_RES", mrb_fixnum_value(ESV_GET_RES));
-	/* ãã­ããã£å¤éç¥							*/
+	/* プロパティ値通知							*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_INF", mrb_fixnum_value(ESV_INF));
-	/* ãã­ããã£å¤éç¥ï¼å¿ç­è¦ï¼				*/
+	/* プロパティ値通知（応答要）				*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_INFC", mrb_fixnum_value(ESV_INFC));
-	/* ãã­ããã£å¤éç¥å¿ç­						*/
+	/* プロパティ値通知応答						*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_INFC_RES", mrb_fixnum_value(ESV_INFC_RES));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãå¿ç­		*/
+	/* プロパティ値書き込み・読み出し応答		*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_GET_RES", mrb_fixnum_value(ESV_SET_GET_RES));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ä¸å¯å¿ç­			*/
+	/* プロパティ値書き込み要求不可応答			*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_I_SNA", mrb_fixnum_value(ESV_SET_I_SNA));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ä¸å¯å¿ç­			*/
+	/* プロパティ値書き込み要求不可応答			*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_C_SNA", mrb_fixnum_value(ESV_SET_C_SNA));
-	/* ãã­ããã£å¤èª­ã¿åºãä¸å¯å¿ç­				*/
+	/* プロパティ値読み出し不可応答				*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_GET_SNA", mrb_fixnum_value(ESV_GET_SNA));
-	/* ãã­ããã£å¤éç¥ä¸å¯å¿ç­					*/
+	/* プロパティ値通知不可応答					*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_INF_SNA", mrb_fixnum_value(ESV_INF_SNA));
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãä¸å¯å¿ç­	*/
+	/* プロパティ値書き込み・読み出し不可応答	*/
 	mrb_define_const(mrb, _module_ecnl, "ESV_SET_GET_SNA", mrb_fixnum_value(ESV_SET_GET_SNA));
 
-	/* ã¢ãã¬ã¹IDç»é²ãªã */
+	/* アドレスID登録なし */
 	mrb_define_const(mrb, _module_ecnl, "ENOD_NOT_MATCH_ID", mrb_fixnum_value(ENOD_NOT_MATCH_ID));
-	/* ãã«ãã­ã£ã¹ãã¢ãã¬ã¹ID */
+	/* マルチキャストアドレスID */
 	mrb_define_const(mrb, _module_ecnl, "ENOD_MULTICAST_ID", mrb_fixnum_value(ENOD_MULTICAST_ID));
-	/* èªãã¼ãã¢ãã¬ã¹ID */
+	/* 自ノードアドレスID */
 	mrb_define_const(mrb, _module_ecnl, "ENOD_LOCAL_ID", mrb_fixnum_value(ENOD_LOCAL_ID));
-	/* APIã¢ãã¬ã¹ID */
+	/* APIアドレスID */
 	mrb_define_const(mrb, _module_ecnl, "ENOD_API_ID", mrb_fixnum_value(ENOD_API_ID));
-	/* ä»ãã¼ãID */
+	/* 他ノードID */
 	mrb_define_const(mrb, _module_ecnl, "ENOD_REMOTE_ID", mrb_fixnum_value(ENOD_REMOTE_ID));
 
@@ -1941,8 +1918,8 @@
 	mrb_define_method(mrb, _class_object, "initialize", mrb_ecnl_eobject_initialize, MRB_ARGS_REQ(5));
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ */
+	/* プロパティ値書き込み */
 	mrb_define_method(mrb, _class_object, "data_prop_set", mrb_ecnl_eobject_data_prop_set, MRB_ARGS_REQ(4));
 
-	/* ãã­ããã£å¤èª­ã¿åºã */
+	/* プロパティ値読み出し */
 	mrb_define_method(mrb, _class_object, "data_prop_get", mrb_ecnl_eobject_data_prop_get, MRB_ARGS_REQ(3));
 
@@ -1951,8 +1928,8 @@
 	mrb_define_method(mrb, _class_node, "initialize", mrb_ecnl_enode_initialize, MRB_ARGS_REQ(2));
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ */
+	/* プロパティ値書き込み */
 	mrb_define_method(mrb, _class_node, "data_prop_set", mrb_ecnl_eobject_data_prop_set, MRB_ARGS_REQ(4));
 
-	/* ãã­ããã£å¤èª­ã¿åºã */
+	/* プロパティ値読み出し */
 	mrb_define_method(mrb, _class_node, "data_prop_get", mrb_ecnl_eobject_data_prop_get, MRB_ARGS_REQ(3));
 
@@ -1961,19 +1938,18 @@
 	mrb_define_method(mrb, _class_property, "initialize", mrb_ecnl_eproperty_initialize, MRB_ARGS_REQ(6));
 
-	/* ECHONET Lite ãã­ããã£ã³ã¼ã */
+	/* ECHONET Lite プロパティコード */
 	mrb_define_method(mrb, _class_property, "pcd", mrb_ecnl_eproperty_get_pcd, MRB_ARGS_NONE());
-	/* ECHONET Lite ãã­ããã£å±æ§ */
+	/* ECHONET Lite プロパティ属性 */
 	mrb_define_method(mrb, _class_property, "atr", mrb_ecnl_eproperty_get_atr, MRB_ARGS_NONE());
-	/* ECHONET Lite ãã­ããã£ã®ãµã¤ãº */
+	/* ECHONET Lite プロパティのサイズ */
 	mrb_define_method(mrb, _class_property, "sz", mrb_ecnl_eproperty_get_sz, MRB_ARGS_NONE());
-	/* ECHONET Lite ãã­ããã£ã®æ¡å¼µæ
-å ± */
+	/* ECHONET Lite プロパティの拡張情報 */
 	mrb_define_method(mrb, _class_property, "exinf", mrb_ecnl_eproperty_get_exinf, MRB_ARGS_NONE());
 	mrb_define_method(mrb, _class_property, "set_exinf", mrb_ecnl_eproperty_set_exinf, MRB_ARGS_REQ(1));
-	/* ECHONET Lite ãã­ããã£ã®è¨­å®é¢æ° */
+	/* ECHONET Lite プロパティの設定関数 */
 	mrb_define_method(mrb, _class_property, "setcb", mrb_ecnl_eproperty_get_setcb, MRB_ARGS_NONE());
-	/* ECHONET Lite ãã­ããã£ã®åå¾é¢æ° */
+	/* ECHONET Lite プロパティの取得関数 */
 	mrb_define_method(mrb, _class_property, "getcb", mrb_ecnl_eproperty_get_getcb, MRB_ARGS_NONE());
-	/* ECHONET Lite ãã­ããã£ã®éç¥æç¡ */
+	/* ECHONET Lite プロパティの通知有無 */
 	mrb_define_method(mrb, _class_property, "anno", mrb_ecnl_eproperty_get_anno, MRB_ARGS_NONE());
 	mrb_define_method(mrb, _class_property, "set_anno", mrb_ecnl_eproperty_set_anno, MRB_ARGS_REQ(1));
@@ -1983,17 +1959,17 @@
 	mrb_define_method(mrb, _class_data, "initialize", mrb_ecnl_edata_initialize, MRB_ARGS_NONE());
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»ææãè¿ãæå® */
+	/* プロパティ値書き込み・読み出し要求電文折り返し指定 */
 	mrb_define_method(mrb, _class_data, "trn_set_get", mrb_ecnl_trn_set_get, MRB_ARGS_NONE());
 
-	/* è¦æ±é»æã¸ã®ãã­ããã£æå®è¿½å  */
+	/* 要求電文へのプロパティ指定追加 */
 	mrb_define_method(mrb, _class_data, "add_epc", mrb_ecnl_add_epc, MRB_ARGS_REQ(1));
 
-	/* è¦æ±é»æã¸ã®ãã­ããã£ãã¼ã¿è¿½å  */
+	/* 要求電文へのプロパティデータ追加 */
 	mrb_define_method(mrb, _class_data, "add_edt", mrb_ecnl_add_edt, MRB_ARGS_REQ(2));
 
-	/* å¿ç­é»æãµã¼ãã¹ã³ã¼ãåå¾ */
+	/* 応答電文サービスコード取得 */
 	mrb_define_method(mrb, _class_data, "esv", mrb_ecnl_get_esv, MRB_ARGS_NONE());
 
-	/* å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼åæå */
+	/* 応答電文解析イテレーター初期化 */
 	mrb_define_method(mrb, _class_data, "itr_ini", mrb_ecnl_itr_ini, MRB_ARGS_NONE());
 
@@ -2002,5 +1978,5 @@
 	mrb_define_method(mrb, _class_iterator, "initialize", mrb_ecnl_eiterator_initialize, MRB_ARGS_NONE());
 
-	/* å¿ç­é»æè§£æã¤ãã¬ã¼ã¿ã¼ã¤ã³ã¯ãªã¡ã³ã */
+	/* 応答電文解析イテレーターインクリメント */
 	mrb_define_method(mrb, _class_iterator, "itr_nxt", mrb_ecnl_itr_nxt, MRB_ARGS_NONE());
 
@@ -2014,32 +1990,32 @@
 	mrb_define_method(mrb, _class_svctask, "initialize", mrb_ecnl_svctask_initialize, MRB_ARGS_NONE());
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­ä¸è¦ï¼é»æä½æ */
+	/* プロパティ値書き込み要求（応答不要）電文作成 */
 	mrb_define_method(mrb, _class_svctask, "esv_set_i", mrb_ecnl_esv_set_i, MRB_ARGS_REQ(3));
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿è¦æ±ï¼å¿ç­è¦ï¼é»æä½æ */
+	/* プロパティ値書き込み要求（応答要）電文作成 */
 	mrb_define_method(mrb, _class_svctask, "esv_set_c", mrb_ecnl_esv_set_c, MRB_ARGS_REQ(3));
 
-	/* ãã­ããã£å¤èª­ã¿åºãè¦æ±é»æä½æ */
+	/* プロパティ値読み出し要求電文作成 */
 	mrb_define_method(mrb, _class_svctask, "esv_get", mrb_ecnl_esv_get, MRB_ARGS_REQ(2));
 
-	/* ãã­ããã£å¤éç¥è¦æ±é»æä½æ */
+	/* プロパティ値通知要求電文作成 */
 	mrb_define_method(mrb, _class_svctask, "esv_inf_req", mrb_ecnl_esv_inf_req, MRB_ARGS_REQ(2));
 
-	/* ãã­ããã£å¤æ¸ãè¾¼ã¿ã»èª­ã¿åºãè¦æ±é»æä½æ */
+	/* プロパティ値書き込み・読み出し要求電文作成 */
 	mrb_define_method(mrb, _class_svctask, "esv_set_get", mrb_ecnl_esv_set_get, MRB_ARGS_REQ(3));
 
-	/* ãã­ããã£å¤éç¥ï¼å¿ç­è¦ï¼é»æä½æ */
+	/* プロパティ値通知（応答要）電文作成 */
 	mrb_define_method(mrb, _class_svctask, "esv_infc", mrb_ecnl_esv_infc, MRB_ARGS_REQ(3));
 
-	/* è¦æ±é»æã®éä¿¡ */
+	/* 要求電文の送信 */
 	mrb_define_method(mrb, _class_svctask, "snd_esv", mrb_ecnl_snd_esv, MRB_ARGS_REQ(1));
 
-	/* é»æã®ç ´æ£ */
+	/* 電文の破棄 */
 	mrb_define_method(mrb, _class_svctask, "rel_esv", mrb_ecnl_rel_esv, MRB_ARGS_REQ(1));
 
-	/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã®éä¿¡ */
+	/* インスタンスリスト通知の送信 */
 	mrb_define_method(mrb, _class_svctask, "ntf_inl", mrb_ecnl_svctask_ntf_inl, MRB_ARGS_NONE());
 
-	/* ã¡ãã»ã¼ã¸å¦çã«ã¼ã */
+	/* メッセージ処理ループ */
 	mrb_define_method(mrb, _class_svctask, "set_timer", mrb_ecnl_svctask_set_timer, MRB_ARGS_REQ(1));
 	mrb_define_method(mrb, _class_svctask, "timer", mrb_ecnl_svctask_get_timer, MRB_ARGS_NONE());
@@ -2048,5 +2024,5 @@
 	mrb_define_method(mrb, _class_svctask, "call_timeout", mrb_ecnl_svctask_call_timeout, MRB_ARGS_NONE());
 
-	/* ãªã¢ã¼ãECHONETãã¼ãã®é©åç¢ºèª */
+	/* リモートECHONETノードの適合確認 */
 	mrb_define_method(mrb, _class_svctask, "is_match", mrb_ecnl_svctask_is_match, MRB_ARGS_REQ(3));
 }
Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/mrb_ecnl.h
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/mrb_ecnl.h	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/mrb_ecnl.h	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
Index: EcnlProtoTool/trunk/mrbgems/mruby-onig-regexp/test/mruby_onig_regexp.rb
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-onig-regexp/test/mruby_onig_regexp.rb	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-onig-regexp/test/mruby_onig_regexp.rb	(revision 321)
@@ -149,5 +149,5 @@
 
 assert("OnigRegexp#match (none encoding)") do
-  assert_equal 2, /\x82/n =~ "ã"
+  assert_equal 2, /\x82/n =~ "あ"
 end
 
Index: EcnlProtoTool/trunk/mruby-1.2.0/mrbgems/mruby-string-ext/test/string.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/mrbgems/mruby-string-ext/test/string.rb	(revision 299)
+++ EcnlProtoTool/trunk/mruby-1.2.0/mrbgems/mruby-string-ext/test/string.rb	(revision 321)
@@ -309,6 +309,6 @@
   assert_equal "-b-", "-a-".succ
   assert_equal "-aa-", "-z-".succ
-  assert_equal "ãb", "ãa".succ
-  assert_equal "ãba", "ãaz".succ
+  assert_equal "あb", "あa".succ
+  assert_equal "あba", "あaz".succ
 
   a = ""; a.succ!
@@ -379,8 +379,8 @@
   a = "-z-"; a.succ!
   assert_equal "-aa-", a
-  a = "ãb"; a.succ!
-  assert_equal "ãc", a
-  a = "ãaz"; a.succ!
-  assert_equal "ãba", a
+  a = "あb"; a.succ!
+  assert_equal "あc", a
+  a = "あaz"; a.succ!
+  assert_equal "あba", a
 end
 
@@ -484,5 +484,5 @@
 
 assert('String#ord(UTF-8)') do
-  got = "ããã«ã¡ã¯ä¸ç!".split('').map {|x| x.ord}
+  got = "こんにちは世界!".split('').map {|x| x.ord}
   expect = [0x3053,0x3093,0x306b,0x3061,0x306f,0x4e16,0x754c,0x21]
   assert_equal expect, got
@@ -493,5 +493,5 @@
 end
 assert('String#chr(UTF-8)') do
-  assert_equal "ã", "ããã«ã¡ã¯ä¸ç!".chr
+  assert_equal "こ", "こんにちは世界!".chr
 end if UTF8STRING
 
@@ -507,11 +507,11 @@
 
 assert('String#chars(UTF-8)') do
-  expect = ['ã', 'ã', 'ã«', 'ã¡', 'ã¯', 'ä¸', 'ç', '!']
-  assert_equal expect, "ããã«ã¡ã¯ä¸ç!".chars
+  expect = ['こ', 'ん', 'に', 'ち', 'は', '世', '界', '!']
+  assert_equal expect, "こんにちは世界!".chars
   s = ""
-  "ããã«ã¡ã¯ä¸ç!".chars do |x|
+  "こんにちは世界!".chars do |x|
     s += x
   end
-  assert_equal "ããã«ã¡ã¯ä¸ç!", s
+  assert_equal "こんにちは世界!", s
 end if UTF8STRING
 
@@ -526,8 +526,8 @@
 assert('String#each_char(UTF-8)') do
   s = ""
-  "ããã«ã¡ã¯ä¸ç!".each_char do |x|
+  "こんにちは世界!".each_char do |x|
     s += x
   end
-  assert_equal "ããã«ã¡ã¯ä¸ç!", s
+  assert_equal "こんにちは世界!", s
 end if UTF8STRING
 
@@ -544,7 +544,7 @@
 assert('String#codepoints(UTF-8)') do
   expect = [12371, 12435, 12395, 12385, 12399, 19990, 30028, 33]
-  assert_equal expect, "ããã«ã¡ã¯ä¸ç!".codepoints
+  assert_equal expect, "こんにちは世界!".codepoints
   cp = []
-  "ããã«ã¡ã¯ä¸ç!".codepoints do |x|
+  "こんにちは世界!".codepoints do |x|
     cp << x
   end
@@ -564,5 +564,5 @@
   expect = [12371, 12435, 12395, 12385, 12399, 19990, 30028, 33]
   cp = []
-  "ããã«ã¡ã¯ä¸ç!".each_codepoint do |x|
+  "こんにちは世界!".each_codepoint do |x|
     cp << x
   end
Index: EcnlProtoTool/trunk/mruby-1.2.0/test/t/string.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/test/t/string.rb	(revision 299)
+++ EcnlProtoTool/trunk/mruby-1.2.0/test/t/string.rb	(revision 321)
@@ -83,10 +83,10 @@
 
 assert('String#[](UTF-8)', '15.2.10.5.6') do
-  assert_equal "ã¡", "ããã«ã¡ã¯ä¸ç"[3]
-  assert_equal nil, "ããã«ã¡ã¯ä¸ç"[20]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"[-2]
-  assert_equal "ä¸ç", "ããã«ã¡ã¯ä¸ç"[-2..-1]
-  assert_equal "ãã«", "ããã«ã¡ã¯ä¸ç"[1,2]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"["ä¸"]
+  assert_equal "ち", "こんにちは世界"[3]
+  assert_equal nil, "こんにちは世界"[20]
+  assert_equal "世", "こんにちは世界"[-2]
+  assert_equal "世界", "こんにちは世界"[-2..-1]
+  assert_equal "んに", "こんにちは世界"[1,2]
+  assert_equal "世", "こんにちは世界"["世"]
 end if UTF8STRING
 
@@ -266,10 +266,10 @@
 assert('String#chop(UTF-8)', '15.2.10.5.11') do
   a = ''.chop
-  b = 'ããã'.chop
-  c = "ã\nã".chop.chop
+  b = 'あいう'.chop
+  c = "あ\nい".chop.chop
 
   assert_equal '', a
-  assert_equal 'ãã', b
-  assert_equal 'ã', c
+  assert_equal 'あい', b
+  assert_equal 'あ', c
 end if UTF8STRING
 
@@ -287,6 +287,6 @@
 assert('String#chop!(UTF-8)', '15.2.10.5.12') do
   a = ''
-  b = "ãããã\n"
-  c = "ãããã\n"
+  b = "あいうえ\n"
+  c = "あいうえ\n"
 
   a.chop!
@@ -296,6 +296,6 @@
 
   assert_equal a, ''
-  assert_equal b, 'ãããã'
-  assert_equal c, 'ããã'
+  assert_equal b, 'あいうえ'
+  assert_equal c, 'あいう'
 end if UTF8STRING
 
@@ -450,10 +450,10 @@
 
 assert('String#reverse(UTF-8)', '15.2.10.5.29') do
-  assert_equal "ã¡", "ããã«ã¡ã¯ä¸ç"[3]
-  assert_equal nil, "ããã«ã¡ã¯ä¸ç"[20]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"[-2]
-  assert_equal "ä¸ç", "ããã«ã¡ã¯ä¸ç"[-2..-1]
-  assert_equal "ãã«", "ããã«ã¡ã¯ä¸ç"[1,2]
-  assert_equal "ä¸", "ããã«ã¡ã¯ä¸ç"["ä¸"]
+  assert_equal "ち", "こんにちは世界"[3]
+  assert_equal nil, "こんにちは世界"[20]
+  assert_equal "世", "こんにちは世界"[-2]
+  assert_equal "世界", "こんにちは世界"[-2..-1]
+  assert_equal "んに", "こんにちは世界"[1,2]
+  assert_equal "世", "こんにちは世界"["世"]
 end if UTF8STRING
 
@@ -467,9 +467,9 @@
 
 assert('String#reverse!(UTF-8)', '15.2.10.5.30') do
-  a = 'ããã«ã¡ã¯ä¸ç!'
+  a = 'こんにちは世界!'
   a.reverse!
 
-  assert_equal '!çä¸ã¯ã¡ã«ãã', a
-  assert_equal '!çä¸ã¯ã¡ã«ãã', 'ããã«ã¡ã¯ä¸ç!'.reverse!
+  assert_equal '!界世はちにんこ', a
+  assert_equal '!界世はちにんこ', 'こんにちは世界!'.reverse!
 end if UTF8STRING
 
@@ -482,9 +482,9 @@
 
 assert('String#rindex(UTF-8)', '15.2.10.5.31') do
-  str = "ããã«ã¡ã¯ä¸ç!\nããã«ã¡ã¯ä¸ç!"
-  assert_nil str.index('ã')
-  assert_equal 3, str.index('ã¡')
-  assert_equal 12, str.index('ã¡', 10)
-  assert_equal nil, str.index("ã")
+  str = "こんにちは世界!\nこんにちは世界!"
+  assert_nil str.index('さ')
+  assert_equal 3, str.index('ち')
+  assert_equal 12, str.index('ち', 10)
+  assert_equal nil, str.index("さ")
 end if UTF8STRING
 
@@ -496,5 +496,5 @@
 
 assert('String#size(UTF-8)', '15.2.10.5.33') do
-  str = 'ããã«ã¡ã¯ä¸ç!'
+  str = 'こんにちは世界!'
   assert_equal 8, str.size
   assert_not_equal str.bytesize, str.size
@@ -550,8 +550,8 @@
 
 assert('String#split(UTF-8)', '15.2.10.5.35') do
-  got = "ããã«ã¡ã¯ä¸ç!".split('')
-  assert_equal ['ã', 'ã', 'ã«', 'ã¡', 'ã¯', 'ä¸', 'ç', '!'], got
-  got = "ããã«ã¡ã¯ä¸ç!".split('ã«')
-  assert_equal ['ãã', 'ã¡ã¯ä¸ç!'], got
+  got = "こんにちは世界!".split('')
+  assert_equal ['こ', 'ん', 'に', 'ち', 'は', '世', '界', '!'], got
+  got = "こんにちは世界!".split('に')
+  assert_equal ['こん', 'ちは世界!'], got
 end if UTF8STRING
 
Index: EcnlProtoTool/trunk/ntshell/Debug/Makefile
===================================================================
--- EcnlProtoTool/trunk/ntshell/Debug/Makefile	(revision 299)
+++ EcnlProtoTool/trunk/ntshell/Debug/Makefile	(revision 321)
@@ -53,5 +53,5 @@
 #  ã®è²¬ä»»ãè² ããªãï¼
 # 
-#  $Id: Makefile 735 2016-04-03 14:11:07Z ertl-hiro $
+#  $Id$
 # 
 
Index: EcnlProtoTool/trunk/ntshell/fatfs/ff.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/fatfs/ff.c	(revision 299)
+++ EcnlProtoTool/trunk/ntshell/fatfs/ff.c	(revision 321)
@@ -325,5 +325,5 @@
 	ret_code[0] = ret_code[1] = ret_code[2] = ret_code[3] = 0;
 
-	if (chr <= 0x7f) {  // ASCIIäºæ
+	if (chr <= 0x7f) {  // ASCII互換
 		ret_code[0] = chr;
 		*ret_size = 1;
@@ -375,5 +375,5 @@
 }
 
-//2ãã¤ãã®UTF-16ã³ã¼ããå¾ããã
+//2バイトのUTF-16コードが得られる
 WCHAR Utf8_to_Utf16(const char *src, int *code_size)
 {
@@ -396,8 +396,8 @@
 	}
 
-	//æ¶è²»æå­æ°è¨­å®
+	//消費文字数設定
 	*code_size = i;
 
-	//ç¾ç¶ã2ãã¤ãéå®
+	//現状、2バイト限定
 	return uc;
 }
